Subject: Re: [PATCH 10/16] repack-midx: extract `repack_fill_midx_stdin_packs()`

From: Jeff King <[email-masked]>
Date: Tue, 7 Apr 2026 02:08:42 -0400

On Sun, Mar 29, 2026 at 05:41:16PM -0400, Taylor Blau wrote:

> This simplifies `write_midx_included_packs()` and prepares for a
> subsequent commit where the same helper is called with `cmd->out = -1`
> to capture the MIDX's checksum from the command's standard output,
> which is needed when writing MIDX layers with `--checksum-only`.

Hmm, that will involve us feeding both "in" and "out", so we'll have to
consider deadlock. We're not there yet, though... :)

-Peff